Subject: Re: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 Sep 2021 20:49:27 +0300

On 21.09.2021 20:29, Juri Linkov wrote:
>>>>> BTW, I have such customization:
>>>>>      (define-key project-prefix-map "V" vc-prefix-map)
>>>>> to allow vc commands in a project, e.g. 'C-x p V D' for 'vc-root-diff'.
>>>> Hmm. I'm not sure when I'd use it instead of the shorter 'C-x v D'.
>>>>
>>>> When you are inside a Git submodule, maybe? It can make a difference. But
>>>> then you have to be aware that the diff will not include changes in the
>>>> submodules (just the changed summary hashes).
>>> I meant that 'C-x p V D' can be typed outside of a repository
>>> to select a project.
>> Ah. That should be handy, yes.
> But like there is the binding 'C-x v d' to 'vc-dir'
> wouldn't it better to provide the same for project?
> Then 'C-x p v d' could use 'project-vc-dir', and
> other 'C-x v' bindings will be available under 'C-x p v'.

Don't we mostly have that already?

'C-x p v D' will get you vc-diff for the project,
'C-x p v L' will get you vc-print-root-log,
'C-x p v B' gets you branch commands,

and so on.